Debian更新源加安装Metespolit&&Cobalt Strike

首先更新下源

修改/etc/apt/sources.list文件 再apt-get update

deb http://mirrors.163.com/debian/ stretch main non-free contrib
deb http://mirrors.163.com/debian/ stretch-updates main non-free contrib
deb http://mirrors.163.com/debian/ stretch-backports main non-free contrib
deb-src http://mirrors.163.com/debian/ stretch main non-free contrib
deb-src http://mirrors.163.com/debian/ stretch-updates main non-free contrib
deb-src http://mirrors.163.com/debian/ stretch-backports main non-free contrib
deb http://mirrors.163.com/debian-security/ stretch/updates main non-free contrib
deb-src http://mirrors.163.com/debian-security/ stretch/updates main non-free contrib


 

Debian安装Metasploit

Kali 官方源

deb http://http.kali.org/kali kali-rolling main contrib non-free
deb http://old.kali.org/kali sana main non-free contrib

apt-get update##更新源
apt-get install metasploit-framework#安装msf



chmod +x ./metasploit-latest-linux-x64-installer.run ##设置文件权限为 可执行 可参考 http://www.jb51.net/LINUXjishu/74212.html
sudo ./metasploit-latest-linux-x64-installer.run ##以root权限运行,然后就一直按enter或者输入y确认之类的(这里输入完了当然也要enter)
apt-get install postgresql ##安装postgresql,metasploit需要它支持
sudo passwd postgres ## 为postgresql安装时自动添加的postgres用户设置密码
su - postgres ## 切换到postgres用户,说一下,这里可能会报No directory, logging in with HOME=/,那么创建 mkdir /home/postgres,并赋予权限,我给的是rw和可执行

配置postgresql 数据库

先切换到root用户,然后再切换到postgresql,然后就进入了数据库管理了

密码:
[email protected]:/home/gg# su postgres
[email protected]-PC:/home/gg$
 

然后创建metasploit的数据库和用户

createuser msf -P -S -R -D  #创建用户 会提示输入密码 

createdb -O msf msf        #创建数据库  

msfconsole ## 进入metasploit控制台

db_status ##检测是否连接到postgresql数据库 我的显示了 [*] postgresql connected to msf3,说明我的已经可以连上postgresql数据库了

配置metasploit数据库的连接

在metasploit的安装目录下新建database.yml文件,内容如下

production:  
   adapter: postgresql  
   database: msf  
   username: msf  
   password: gg   #我在上一步创建用户的时候  设置的密码
   host: 127.0.0.1  
   port: 5432  
   pool: 75  
   timeout: 5

然后在msfconsole下手动连接数据库
msf > db_connect -y /usr/share/metasploit-framework/databa查看数据库连接状态r
msf > db_status
[*] postgresql connected to msf
```

Debian安装cobalt Strike

0x1 配置java环境

由于cobaltstrike为java编写所以需要java运行环境,所以需要在vps中搭建java环境

  1. 更新软件包列表: 
    sudo apt-get update
  2. 安装openjdk-8-jdk 
    sudo apt-get install openjdk-8-jdk
  3. 查看java安装版本 
    java -version 如果显示出java的版本则表明环境配置成功

 

 

0X2 CobaltStrike 配置及运行

用Xshell上传Cobalt Strike

 

猜你喜欢

转载自www.cnblogs.com/-qing-/p/10923824.html
0条评论
添加一条新回复